services:
  postgres:
    ports:
      - "5432:5432"

  redis:
    ports:
      - "6379:6379"

  web:
    build:
      context: .
      dockerfile: Dockerfile
    environment:
      LOG_LEVEL: DEBUG
    volumes:
      - ./backend:/app/backend
      - ./alembic:/app/alembic

  worker:
    build:
      context: .
      dockerfile: Dockerfile
    environment:
      LOG_LEVEL: DEBUG
    volumes:
      - ./backend:/app/backend

  scheduler:
    build:
      context: .
      dockerfile: Dockerfile
    environment:
      LOG_LEVEL: DEBUG
    volumes:
      - ./backend:/app/backend

  maintenance-long:
    build:
      context: .
      dockerfile: Dockerfile
    environment:
      LOG_LEVEL: DEBUG
    volumes:
      - ./backend:/app/backend

  ml-worker:
    build:
      context: .
      dockerfile: Dockerfile.ml
    environment:
      LOG_LEVEL: DEBUG
    volumes:
      - ./backend:/app/backend
